cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-8788 (V1) and SUPEE-8788 (V2) -- More Errors (for 1.7.0.2 version)

SUPEE-8788 (V1) and SUPEE-8788 (V2) -- More Errors (for 1.7.0.2 version)

looks like we are having more issues with patching 1.7.0.2 Versions.

I have SUPEE 1533 installed on 1.7.0.2,  I DO NOT have SUPEE-3941 as per magento patch manual SUPEE-3941 are for 1.8-1.9. I am not sure if its safe to instal it on 1.7.0.2.

Basically when two days ago I tried installing SUPEE 8788 Version 1, I got one DashboardControl error (due to SUPEE 1544 incompatibility).

patching file app/code/core/Mage/Adminhtml/controllers/DashboardController.php
Hunk #1 FAILED at 91.
1 out of 1 hunk FAILED -- saving rejects to file app/code/core/Mage/Adminhtml/controllers/DashboardController.php.rej



Today, Second version of SUPEE 8788 released for 1.7.0.2, I tried patching it and I get 6 errors. Kinda odd, given that my previous patch didn't install and only had one error.

New errors in 2nd Version of SUPEE 8788:
1. Graph.php  (SUPEE 1533 related)
2. DashboardControl.php (SUPEE 1533 related)
3. Curl.php (Not present in First version of patch, looks like it can be fixed if install SUPEE-3941 (but again, this patch not available for 1.7.0.2 )
4. Three errors concerning .swf files. (this issue was not present on Verision 1, some say can be fixed by zipping and unzipping patch using PUTTY SSH)

patching file app/code/core/Mage/Adminhtml/Block/Dashboard/Graph.php
Reversed (or previously applied) patch detected!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file app/code/core/Mage/Adminhtml/Block/Dashboard/Graph.php.rej

patching file app/code/core/Mage/Adminhtml/controllers/DashboardController.php
Hunk #1 FAILED at 91.
1 out of 1 hunk FAILED -- saving rejects to file app/code/core/Mage/Adminhtml/controllers/DashboardController.php.rej

patching file downloader/lib/Mage/HTTP/Client/Curl.php
Hunk #1 FAILED at 372.
1 out of 1 hunk FAILED -- saving rejects to file downloader/lib/Mage/HTTP/Client/Curl.php.rej

patching file skin/adminhtml/default/default/media/flex.swf
Reversed (or previously applied) patch detected!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file skin/adminhtml/default/default/media/flex.swf.rej
patching file skin/adminhtml/default/default/media/uploader.swf
Reversed (or previously applied) patch detected!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file skin/adminhtml/default/default/media/uploader.swf.rej
patching file skin/adminhtml/default/default/media/uploaderSingle.swf
Reversed (or previously applied) patch detected!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file skin/adminhtml/default/default/media/uploaderSingle.swf.rej



What to do? How to proceed? Will Magento release 3rd update for 1.7.0.2 Versions ?Smiley Happy

 

3 REPLIES

Re: SUPEE-8788 (V1) and SUPEE-8788 (V2) -- More Errors (for 1.7.0.2 version)

Creating the following alter table statement & running on db resolves the issue.

 

CREATE Columns manually on DB

ALTER TABLE sales_bestsellers_aggregated_daily
ADD product_type_id VARCHAR(32) AFTER product_id;
ALTER TABLE sales_bestsellers_aggregated_monthly
ADD product_type_id VARCHAR(32) AFTER product_id;
ALTER TABLE sales_bestsellers_aggregated_yearly
ADD product_type_id VARCHAR(32) AFTER product_id;

 

This is what  the upgrade code does in file

 

app\code\core\Mage\Sales\sql\sales_setup\upgrade-1.6.0.9-1.6.0.10.php

Re: SUPEE-8788 (V1) and SUPEE-8788 (V2) -- More Errors (for 1.7.0.2 version)

The best solution for this is edit the patch file in notepad++ and manually delete the lines for swf.

Then go to the directory :

skin/adminhtml/default/default/media/

 and delete following these file manually :

  • flex.swf
  • uploader.swf
  • uploadersingle.swf

Now you can check your patch applied successfully. 

Do let me know in-case of any concern.

Re: SUPEE-8788 (V1) and SUPEE-8788 (V2) -- More Errors (for 1.7.0.2 version)

Ak**bleep**167, 

 

Thank you for your suggestion, it worked great!